diff --git a/src/main/java/net/minecraft/core/block/PaintedPlanksBlock.java b/src/main/java/net/minecraft/core/block/BlockPlanksPainted.java
similarity index 86%
rename from src/main/java/net/minecraft/core/block/PaintedPlanksBlock.java
rename to src/main/java/net/minecraft/core/block/BlockPlanksPainted.java
index dbb593e77..fff3ef678 100644
--- a/src/main/java/net/minecraft/core/block/PaintedPlanksBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockPlanksPainted.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.EnumDropCause;
@@ -10,9 +10,9 @@ import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.World;
 import org.jetbrains.annotations.Nullable;
 
-public class PaintedPlanksBlock extends Block implements IPainted
+public class BlockPlanksPainted extends Block implements IPainted
 {
-    public PaintedPlanksBlock(String key, String namespaceId, int id)
+    public BlockPlanksPainted(String key, String namespaceId, int id)
     {
         super(key, namespaceId, id, Material.wood);
     }
@@ -24,7 +24,7 @@ public class PaintedPlanksBlock extends Block implements IPainted
     }
 
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, BlockEntity blockEntity)
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, TileEntity tileEntity)
     {
         return new ItemStack[] { new ItemStack(this, 1, meta) };
     }
diff --git a/src/main/java/net/minecraft/core/block/PortalBlock.java b/src/main/java/net/minecraft/core/block/BlockPortal.java
similarity index 93%
rename from src/main/java/net/minecraft/core/block/PortalBlock.java
rename to src/main/java/net/minecraft/core/block/BlockPortal.java
index 99308e108..fe010dbc8 100644
--- a/src/main/java/net/minecraft/core/block/PortalBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockPortal.java
@@ -1,34 +1,26 @@
 package net.minecraft.core.block;
 
-import net.minecraft.client.Minecraft;
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.ItemEntity;
+import net.minecraft.core.entity.EntityItem;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.item.Items;
 import net.minecraft.core.sound.SoundCategory;
 import net.minecraft.core.util.helper.DyeColor;
-import net.minecraft.core.util.helper.Side;
-import net.minecraft.core.util.helper.Sides;
 import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.WorldSource;
-import net.minecraft.core.world.chunk.ChunkPosition;
 import org.jetbrains.annotations.Nullable;
 
-import java.util.ArrayList;
-import java.util.HashSet;
-import java.util.List;
 import java.util.Random;
-import java.util.Set;
 
 // Referenced classes of package net.minecraft.src:
 //            BlockBreakable, Material, IBlockAccess, World, 
-//            Block, FireBlock, Entity, AxisAlignedBB
+//            Block, BlockFire, Entity, AxisAlignedBB
 
-public class PortalBlock extends TransparentBlock implements IPainted
+public class BlockPortal extends BlockTransparent implements IPainted
 {
     public static final int MAX_PORTAL_SIZE = 32;
     public static final int MASK_COLOR = 0b1111_0000;
@@ -41,7 +33,7 @@ public class PortalBlock extends TransparentBlock implements IPainted
 	public int portalFrameId;
 	public int portalTriggerId;
 		
-    public PortalBlock(String key, String namespaceId, int id, int targetDimension, int portalMaterialId, int portalTriggerId)
+    public BlockPortal(String key, String namespaceId, int id, int targetDimension, int portalMaterialId, int portalTriggerId)
     {
         super(key, namespaceId, id, Material.portal);
         this.targetDimension = targetDimension;
@@ -325,7 +317,7 @@ public class PortalBlock extends TransparentBlock implements IPainted
     }
 
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, BlockEntity blockEntity)
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, TileEntity tileEntity)
     {
         return null;
     }
@@ -339,14 +331,14 @@ public class PortalBlock extends TransparentBlock implements IPainted
     @Override
     public void onEntityCollidedWithBlock(World world, int x, int y, int z, Entity entity)
     {
-        if (entity instanceof ItemEntity && ((ItemEntity) entity).item != null && ((ItemEntity) entity).item.itemID == Items.DYE.id) {
-            ItemEntity itemEntity = (ItemEntity) entity;
-            DyeColor color = DyeColor.colorFromItemMeta(itemEntity.item.getMetadata());
+        if (entity instanceof EntityItem && ((EntityItem) entity).item != null && ((EntityItem) entity).item.itemID == Items.DYE.id) {
+            EntityItem entityItem = (EntityItem) entity;
+            DyeColor color = DyeColor.colorFromItemMeta(entityItem.item.getMetadata());
             if (getColor(world, x, y, z) != color) {
                 setColor(world, x, y, z, color);
-                itemEntity.item.stackSize--;
-                if (itemEntity.item.stackSize <= 0) {
-                    itemEntity.remove();
+                entityItem.item.stackSize--;
+                if (entityItem.item.stackSize <= 0) {
+                    entityItem.remove();
                     return;
                 }
             }
diff --git a/src/main/java/net/minecraft/core/block/PressurePlateBlock.java b/src/main/java/net/minecraft/core/block/BlockPressurePlate.java
similarity index 97%
rename from src/main/java/net/minecraft/core/block/PressurePlateBlock.java
rename to src/main/java/net/minecraft/core/block/BlockPressurePlate.java
index 5c6145b66..8f1653361 100644
--- a/src/main/java/net/minecraft/core/block/PressurePlateBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockPressurePlate.java
@@ -2,7 +2,6 @@ package net.minecraft.core.block;
 
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.Mob;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.sound.SoundCategory;
@@ -14,13 +13,13 @@ import org.jetbrains.annotations.NotNull;
 import java.util.List;
 import java.util.Random;
 
-public class PressurePlateBlock extends Block
+public class BlockPressurePlate extends Block
 {
     public static final int MASK_POWERED = 0b0000_0001;
     public static final int MASK_CEILING = 0b0000_0010;
     private final Class<? extends Entity> triggerMobClass;
 
-	public PressurePlateBlock(String key, String namespaceId, int id, Class<? extends Entity> mobType, Material material)
+	public BlockPressurePlate(String key, String namespaceId, int id, Class<? extends Entity> mobType, Material material)
     {
         super(key, namespaceId, id, material);
         triggerMobClass = mobType;
diff --git a/src/main/java/net/minecraft/core/block/PumiceBlock.java b/src/main/java/net/minecraft/core/block/BlockPumice.java
similarity index 97%
rename from src/main/java/net/minecraft/core/block/PumiceBlock.java
rename to src/main/java/net/minecraft/core/block/BlockPumice.java
index a000bcddb..764b29e48 100644
--- a/src/main/java/net/minecraft/core/block/PumiceBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockPumice.java
@@ -9,9 +9,9 @@ import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-public class PumiceBlock extends Block {
+public class BlockPumice extends Block {
     final boolean isWet;
-    public PumiceBlock(String key, String namespaceId, int id, boolean isWet)
+    public BlockPumice(String key, String namespaceId, int id, boolean isWet)
     {
         super(key, namespaceId, id, Material.stone);
         this.isWet = isWet;
diff --git a/src/main/java/net/minecraft/core/block/PumpkinBlock.java b/src/main/java/net/minecraft/core/block/BlockPumpkin.java
similarity index 85%
rename from src/main/java/net/minecraft/core/block/PumpkinBlock.java
rename to src/main/java/net/minecraft/core/block/BlockPumpkin.java
index c0ed759dd..faec7f541 100644
--- a/src/main/java/net/minecraft/core/block/PumpkinBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockPumpkin.java
@@ -8,16 +8,16 @@ import net.minecraft.core.block.material.Material;
 import net.minecraft.core.block.material.MaterialColor;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.ItemStack;
-import net.minecraft.core.item.tool.SwordToolItem;
+import net.minecraft.core.item.tool.ItemToolSword;
 import net.minecraft.core.util.helper.Direction;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.World;
 
-public class PumpkinBlock extends RotatableBlock
+public class BlockPumpkin extends BlockRotatable
 {
     private final boolean isCarvable;
 
-	public PumpkinBlock(String key, String namespaceId, int id, boolean isCarvable)
+	public BlockPumpkin(String key, String namespaceId, int id, boolean isCarvable)
     {
         super(key, namespaceId, id, Material.vegetable);
         setTicking(true);
@@ -29,7 +29,7 @@ public class PumpkinBlock extends RotatableBlock
     public boolean onBlockRightClicked(World world, int x, int y, int z, Player player, Side side, double xPlaced, double yPlaced) {
         if (!isCarvable) return false;
         ItemStack heldItem = player.getHeldItem();
-        if (heldItem != null && heldItem.getItem() instanceof SwordToolItem){
+        if (heldItem != null && heldItem.getItem() instanceof ItemToolSword){
             heldItem.damageItem(1,player);
             world.setBlockAndMetadataWithNotify(x, y, z, Blocks.PUMPKIN_CARVED_IDLE.id, player.getHorizontalPlacementDirection(Direction.getHorizontalDirection(player).getSide()).getOpposite().getId());
             return true;
diff --git a/src/main/java/net/minecraft/core/block/RedstonePumpkinBlock.java b/src/main/java/net/minecraft/core/block/BlockPumpkinRedstone.java
similarity index 92%
rename from src/main/java/net/minecraft/core/block/RedstonePumpkinBlock.java
rename to src/main/java/net/minecraft/core/block/BlockPumpkinRedstone.java
index aa728531d..5410f5bfe 100644
--- a/src/main/java/net/minecraft/core/block/RedstonePumpkinBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockPumpkinRedstone.java
@@ -5,9 +5,9 @@ import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.WorldSource;
 
-public class RedstonePumpkinBlock extends RotatableBlock {
+public class BlockPumpkinRedstone extends BlockRotatable {
 
-    public RedstonePumpkinBlock(String translationKey, String namespaceId, int id) {
+    public BlockPumpkinRedstone(String translationKey, String namespaceId, int id) {
         super(translationKey, namespaceId, id, Material.vegetable);
     }
 
diff --git a/src/main/java/net/minecraft/core/block/RailBlock.java b/src/main/java/net/minecraft/core/block/BlockRail.java
similarity index 94%
rename from src/main/java/net/minecraft/core/block/RailBlock.java
rename to src/main/java/net/minecraft/core/block/BlockRail.java
index 2ae5815a8..7bf57d2ca 100644
--- a/src/main/java/net/minecraft/core/block/RailBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockRail.java
@@ -14,13 +14,13 @@ import net.minecraft.core.world.chunk.ChunkPosition;
 import java.util.ArrayList;
 import java.util.List;
 
-public class RailBlock extends Block {
+public class BlockRail extends Block {
     public static final int MASK_DIRECTION = 0b0000_0111;
     public static final int MASK_POWERED = 0b0000_1000;
     public final boolean isPowered;
 
     public static boolean isRailBlockAt(World world, int x, int y, int z) {
-        return world.getBlock(x, y, z) instanceof RailBlock;
+        return world.getBlock(x, y, z) instanceof BlockRail;
     }
     public RailDirection getRailDirection(WorldSource world, int x, int y, int z){
         int meta = world.getBlockMetadata(x, y, z);
@@ -30,7 +30,7 @@ public class RailBlock extends Block {
         return RailDirection.getFromMeta(meta);
     }
 
-    protected RailBlock(String key, String namespaceId, int id, boolean isPowered) {
+    protected BlockRail(String key, String namespaceId, int id, boolean isPowered) {
         super(key, namespaceId, id, Material.decoration);
         this.isPowered = isPowered;
         setBlockBounds(0.0F, 0.0F, 0.0F, 1.0F, 0.125F, 1.0F);
@@ -250,7 +250,7 @@ public class RailBlock extends Block {
             Block block = world.getBlock(x, y, z);
             int meta = world.getBlockMetadata(x, y, z);
 
-            isPoweredRail = block instanceof RailBlock && ((RailBlock) block).isPowered;
+            isPoweredRail = block instanceof BlockRail && ((BlockRail) block).isPowered;
 
             setConnections(RailDirection.getFromMeta(meta));
         }
@@ -274,23 +274,23 @@ public class RailBlock extends Block {
         }
 
         private boolean isMinecartTrack(int x, int y, int z) {
-            if(RailBlock.isRailBlockAt(world, x, y, z)) {
+            if(BlockRail.isRailBlockAt(world, x, y, z)) {
                 return true;
             }
-            if(RailBlock.isRailBlockAt(world, x, y + 1, z)) {
+            if(BlockRail.isRailBlockAt(world, x, y + 1, z)) {
                 return true;
             }
-            return RailBlock.isRailBlockAt(world, x, y - 1, z);
+            return BlockRail.isRailBlockAt(world, x, y - 1, z);
         }
 
         private Rail getMinecartTrackLogic(ChunkPosition chunkposition) {
-            if(RailBlock.isRailBlockAt(world, chunkposition.x, chunkposition.y, chunkposition.z)) {
+            if(BlockRail.isRailBlockAt(world, chunkposition.x, chunkposition.y, chunkposition.z)) {
                 return new Rail(world, chunkposition.x, chunkposition.y, chunkposition.z);
             }
-            if(RailBlock.isRailBlockAt(world, chunkposition.x, chunkposition.y + 1, chunkposition.z)) {
+            if(BlockRail.isRailBlockAt(world, chunkposition.x, chunkposition.y + 1, chunkposition.z)) {
                 return new Rail(world, chunkposition.x, chunkposition.y + 1, chunkposition.z);
             }
-            if(RailBlock.isRailBlockAt(world, chunkposition.x, chunkposition.y - 1, chunkposition.z)) {
+            if(BlockRail.isRailBlockAt(world, chunkposition.x, chunkposition.y - 1, chunkposition.z)) {
                 return new Rail(world, chunkposition.x, chunkposition.y - 1, chunkposition.z);
             } else {
                 return null;
@@ -411,18 +411,18 @@ public class RailBlock extends Block {
                 }
             }
             if(railType == RailDirection.STRAIGHT_NS) {
-                if(RailBlock.isRailBlockAt(world, x, y + 1, z - 1)) {
+                if(BlockRail.isRailBlockAt(world, x, y + 1, z - 1)) {
                     railType = RailDirection.SLOPE_N;
                 }
-                if(RailBlock.isRailBlockAt(world, x, y + 1, z + 1)) {
+                if(BlockRail.isRailBlockAt(world, x, y + 1, z + 1)) {
                     railType = RailDirection.SLOPE_S;
                 }
             }
             if(railType == RailDirection.STRAIGHT_EW) {
-                if(RailBlock.isRailBlockAt(world, x + 1, y + 1, z)) {
+                if(BlockRail.isRailBlockAt(world, x + 1, y + 1, z)) {
                     railType = RailDirection.SLOPE_E;
                 }
-                if(RailBlock.isRailBlockAt(world, x - 1, y + 1, z)) {
+                if(BlockRail.isRailBlockAt(world, x - 1, y + 1, z)) {
                     railType = RailDirection.SLOPE_W;
                 }
             }
@@ -479,18 +479,18 @@ public class RailBlock extends Block {
                 }
             }
             if(railDirection == RailDirection.STRAIGHT_NS) {
-                if(RailBlock.isRailBlockAt(world, x, y + 1, z - 1)) {
+                if(BlockRail.isRailBlockAt(world, x, y + 1, z - 1)) {
                     railDirection = RailDirection.SLOPE_N;
                 }
-                if(RailBlock.isRailBlockAt(world, x, y + 1, z + 1)) {
+                if(BlockRail.isRailBlockAt(world, x, y + 1, z + 1)) {
                     railDirection = RailDirection.SLOPE_S;
                 }
             }
             if(railDirection == RailDirection.STRAIGHT_EW) {
-                if(RailBlock.isRailBlockAt(world, x + 1, y + 1, z)) {
+                if(BlockRail.isRailBlockAt(world, x + 1, y + 1, z)) {
                     railDirection = RailDirection.SLOPE_E;
                 }
-                if(RailBlock.isRailBlockAt(world, x - 1, y + 1, z)) {
+                if(BlockRail.isRailBlockAt(world, x - 1, y + 1, z)) {
                     railDirection = RailDirection.SLOPE_W;
                 }
             }
diff --git a/src/main/java/net/minecraft/core/block/DetectorRailBlock.java b/src/main/java/net/minecraft/core/block/BlockRailDetector.java
similarity index 96%
rename from src/main/java/net/minecraft/core/block/DetectorRailBlock.java
rename to src/main/java/net/minecraft/core/block/BlockRailDetector.java
index 4ca99be28..3332a6844 100644
--- a/src/main/java/net/minecraft/core/block/DetectorRailBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockRailDetector.java
@@ -9,8 +9,8 @@ import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.world.WorldSource;
 import net.minecraft.core.world.World;
-public class DetectorRailBlock extends RailBlock {
-    public DetectorRailBlock(String key, String namespaceId, int id)
+public class BlockRailDetector extends BlockRail {
+    public BlockRailDetector(String key, String namespaceId, int id)
     {
         super(key, namespaceId, id, true);
         setTicking(true);
diff --git a/src/main/java/net/minecraft/core/block/RedstoneBlock.java b/src/main/java/net/minecraft/core/block/BlockRedstone.java
similarity index 97%
rename from src/main/java/net/minecraft/core/block/RedstoneBlock.java
rename to src/main/java/net/minecraft/core/block/BlockRedstone.java
index ccfc5ddda..00325b3f1 100644
--- a/src/main/java/net/minecraft/core/block/RedstoneBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockRedstone.java
@@ -9,9 +9,9 @@ import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-public class RedstoneBlock extends Block
+public class BlockRedstone extends Block
 {
-	public RedstoneBlock(String key, String namespaceId, int id, Material material)
+	public BlockRedstone(String key, String namespaceId, int id, Material material)
     {
 		super(key, namespaceId, id, material);
 	}
diff --git a/src/main/java/net/minecraft/core/block/RepeaterBlock.java b/src/main/java/net/minecraft/core/block/BlockRepeater.java
similarity index 95%
rename from src/main/java/net/minecraft/core/block/RepeaterBlock.java
rename to src/main/java/net/minecraft/core/block/BlockRepeater.java
index da3bc9e00..e2c8cebda 100644
--- a/src/main/java/net/minecraft/core/block/RepeaterBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockRepeater.java
@@ -1,15 +1,14 @@
 package net.minecraft.core.block;
 
 import net.minecraft.client.util.helper.Colors;
-import net.minecraft.core.block.entity.ActivatorBlockEntity;
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntityActivator;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.entity.Mob;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.item.Items;
-import net.minecraft.core.util.helper.Axis;
 import net.minecraft.core.util.helper.Color;
 import net.minecraft.core.util.helper.Direction;
 import net.minecraft.core.util.helper.Side;
@@ -19,7 +18,7 @@ import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
 
 import java.util.Random;
-public class RepeaterBlock extends Block
+public class BlockRepeater extends Block
 {
     public static final double[] torchPosOffset = {
         -0.0625D, 0.0625D, 0.1875D, 0.3125D
@@ -32,7 +31,7 @@ public class RepeaterBlock extends Block
 
     public final boolean isRepeaterPowered;
 
-	public RepeaterBlock(String key, String namespaceId, int id, boolean flag)
+	public BlockRepeater(String key, String namespaceId, int id, boolean flag)
     {
         super(key, namespaceId, id, Material.decoration);
         isRepeaterPowered = flag;
@@ -58,7 +57,7 @@ public class RepeaterBlock extends Block
     }
 
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, BlockEntity blockEntity)
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, TileEntity tileEntity)
     {
         return new ItemStack[] { new ItemStack(Items.REPEATER) };
     }
@@ -161,7 +160,7 @@ public class RepeaterBlock extends Block
     }
 
     @Override
-    public void onActivatorInteract(World world, int x, int y, int z, ActivatorBlockEntity activator, Direction direction) {
+    public void onActivatorInteract(World world, int x, int y, int z, TileEntityActivator activator, Direction direction) {
         onBlockRightClicked(world, x, y, z, null, Side.NONE, 0.5, 0.5);
     }
 
diff --git a/src/main/java/net/minecraft/core/block/RopeBlock.java b/src/main/java/net/minecraft/core/block/BlockRope.java
similarity index 93%
rename from src/main/java/net/minecraft/core/block/RopeBlock.java
rename to src/main/java/net/minecraft/core/block/BlockRope.java
index c204db867..2eb026d0a 100644
--- a/src/main/java/net/minecraft/core/block/RopeBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockRope.java
@@ -1,22 +1,22 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.EnumBlockSoundEffectType;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.item.Items;
-import net.minecraft.core.item.ToolShearsItem;
+import net.minecraft.core.item.tool.ItemToolShears;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.WorldSource;
 
-public class RopeBlock
+public class BlockRope
     extends Block {
     public static final int MASK_ROPE_CONNECT = 0b1000_0000;
-    public RopeBlock(String key, String namespaceId, int id) {
+    public BlockRope(String key, String namespaceId, int id) {
         super(key, namespaceId,id, Material.cloth);
     }
 
@@ -71,7 +71,7 @@ public class RopeBlock
     public boolean onBlockRightClicked(World world, int x, int y, int z, Player player, Side side, double xPlaced, double yPlaced)
     {
         ItemStack heldItem = player.getHeldItem();
-        if (heldItem != null && heldItem.getItem() instanceof ToolShearsItem) {
+        if (heldItem != null && heldItem.getItem() instanceof ItemToolShears) {
             int meta = world.getBlockMetadata(x, y, z);
             int forceRope = (~meta) & MASK_ROPE_CONNECT;
             world.setBlockMetadataWithNotify(x, y, z, forceRope | (meta & ~MASK_ROPE_CONNECT));
@@ -142,7 +142,7 @@ public class RopeBlock
     }
 
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, BlockEntity blockEntity) {
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, TileEntity tileEntity) {
         return new ItemStack[] { new ItemStack(Items.ROPE) };
     }
 }
diff --git a/src/main/java/net/minecraft/core/block/RotatableBlock.java b/src/main/java/net/minecraft/core/block/BlockRotatable.java
similarity index 89%
rename from src/main/java/net/minecraft/core/block/RotatableBlock.java
rename to src/main/java/net/minecraft/core/block/BlockRotatable.java
index 63379bdbd..1f5400741 100644
--- a/src/main/java/net/minecraft/core/block/RotatableBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockRotatable.java
@@ -5,12 +5,11 @@ import net.minecraft.core.entity.Mob;
 import net.minecraft.core.util.helper.Direction;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.World;
-import net.minecraft.core.block.entity.ActivatorBlockEntity;
 import org.jetbrains.annotations.NotNull;
 
-public abstract class RotatableBlock extends Block{
+public abstract class BlockRotatable extends Block{
     public static final int MASK_DIRECTION = 0b0000_0111;
-    public RotatableBlock(String key, String namespaceId, int id, Material material) {
+    public BlockRotatable(String key, String namespaceId, int id, Material material) {
         super(key, namespaceId, id, material);
     }
 
@@ -31,7 +30,7 @@ public abstract class RotatableBlock extends Block{
     @Override
     public void onBlockPlacedOnSide(World world, int x, int y, int z, @NotNull Side side, double xPlaced, double yPlaced) {
         if (!side.isHorizontal()) side = Side.SOUTH;
-        world.setBlockMetadataWithNotify(x, y, z, RotatableBlock.setDirection(0, side.getDirection()));
+        world.setBlockMetadataWithNotify(x, y, z, BlockRotatable.setDirection(0, side.getDirection()));
     }
 
     public static void setDefaultDirection(World world, int x, int y, int z)
diff --git a/src/main/java/net/minecraft/core/block/SandBlock.java b/src/main/java/net/minecraft/core/block/BlockSand.java
similarity index 80%
rename from src/main/java/net/minecraft/core/block/SandBlock.java
rename to src/main/java/net/minecraft/core/block/BlockSand.java
index 7f1fafe9f..748f7b1af 100644
--- a/src/main/java/net/minecraft/core/block/SandBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockSand.java
@@ -1,20 +1,20 @@
 package net.minecraft.core.block;
 
 import net.minecraft.core.block.tag.BlockTags;
-import net.minecraft.core.entity.FallingBlockEntity;
+import net.minecraft.core.entity.EntityFallingBlock;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.world.World;
 
 import java.util.Random;
 
 // Referenced classes of package net.minecraft.src:
-//            Block, Material, World, FallingBlockEntity,
-//            FireBlock
+//            Block, Material, World, EntityFallingBlock,
+//            BlockFire
 
-public class SandBlock extends Block
+public class BlockSand extends Block
 {
 
-    public SandBlock(String key, String namespaceId, int id)
+    public BlockSand(String key, String namespaceId, int id)
     {
         super(key, namespaceId, id, Material.sand);
     }
@@ -52,8 +52,8 @@ public class SandBlock extends Block
                 }
             } else
             {
-                FallingBlockEntity fallingBlockEntity = new FallingBlockEntity(world, x + 0.5, y + 0.5, z + 0.5, id, 0, null);
-                world.entityJoinedWorld(fallingBlockEntity);
+                EntityFallingBlock entityFallingBlock = new EntityFallingBlock(world, x + 0.5, y + 0.5, z + 0.5, id, 0, null);
+                world.entityJoinedWorld(entityFallingBlock);
             }
         }
     }
diff --git a/src/main/java/net/minecraft/core/block/SaplingBaseBlock.java b/src/main/java/net/minecraft/core/block/BlockSaplingBase.java
similarity index 90%
rename from src/main/java/net/minecraft/core/block/SaplingBaseBlock.java
rename to src/main/java/net/minecraft/core/block/BlockSaplingBase.java
index 66e14b858..3f11ee255 100644
--- a/src/main/java/net/minecraft/core/block/SaplingBaseBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockSaplingBase.java
@@ -11,14 +11,14 @@ import net.minecraft.core.world.World;
 import org.jetbrains.annotations.Nullable;
 
 // Referenced classes of package net.minecraft.src:
-//            FlowerBlock, World, WorldGenTaiga2, WorldGenForest,
+//            BlockFlower, World, WorldGenTaiga2, WorldGenForest,
 //            WorldGenTrees, WorldGenBigTree, WorldGenerator
 
-public abstract class SaplingBaseBlock extends FlowerBlock implements IBonemealable
+public abstract class BlockSaplingBase extends BlockFlower implements IBonemealable
 {
 	public boolean canGrowOnSand = false;
 
-	public SaplingBaseBlock(String key, String namespaceId, int id)
+	public BlockSaplingBase(String key, String namespaceId, int id)
     {
         super(key, namespaceId, id);
         float f = 0.4F;
@@ -67,7 +67,7 @@ public abstract class SaplingBaseBlock extends FlowerBlock implements IBonemeala
     public boolean onBonemealUsed(ItemStack itemstack, @Nullable Player player, World world, int blockX, int blockY, int blockZ, Side side, double xPlaced, double yPlaced){
         if(!world.isClientSide)
         {
-            ((SaplingBaseBlock)Block.blocksList[id]).growTree(world, blockX, blockY, blockZ, world.rand);
+            ((BlockSaplingBase)Block.blocksList[id]).growTree(world, blockX, blockY, blockZ, world.rand);
             if (player == null || player.getGamemode().consumeBlocks())
             {
                 itemstack.stackSize--;
diff --git a/src/main/java/net/minecraft/core/block/SaplingBirchBlock.java b/src/main/java/net/minecraft/core/block/BlockSaplingBirch.java
similarity index 80%
rename from src/main/java/net/minecraft/core/block/SaplingBirchBlock.java
rename to src/main/java/net/minecraft/core/block/BlockSaplingBirch.java
index 2d3a87c91..7545f9390 100644
--- a/src/main/java/net/minecraft/core/block/SaplingBirchBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockSaplingBirch.java
@@ -7,13 +7,13 @@ import net.minecraft.core.world.generate.feature.WorldFeature;
 import java.util.Random;
 
 // Referenced classes of package net.minecraft.src:
-//            FlowerBlock, World, WorldGenTaiga2, WorldGenForest,
+//            BlockFlower, World, WorldGenTaiga2, WorldGenForest,
 //            WorldGenTrees, WorldGenBigTree, WorldGenerator
 
-public class SaplingBirchBlock extends SaplingBaseBlock
+public class BlockSaplingBirch extends BlockSaplingBase
 {
 
-	public SaplingBirchBlock(String key, String namespaceId, int id)
+	public BlockSaplingBirch(String key, String namespaceId, int id)
     {
         super(key, namespaceId, id);
     }
diff --git a/src/main/java/net/minecraft/core/block/SaplingCacaoBlock.java b/src/main/java/net/minecraft/core/block/BlockSaplingCacao.java
similarity index 84%
rename from src/main/java/net/minecraft/core/block/SaplingCacaoBlock.java
rename to src/main/java/net/minecraft/core/block/BlockSaplingCacao.java
index e7be41576..e7086fe14 100644
--- a/src/main/java/net/minecraft/core/block/SaplingCacaoBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockSaplingCacao.java
@@ -6,10 +6,10 @@ import net.minecraft.core.world.generate.feature.tree.WorldFeatureTree;
 
 import java.util.Random;
 
-public class SaplingCacaoBlock extends SaplingBaseBlock
+public class BlockSaplingCacao extends BlockSaplingBase
 {
 
-    public SaplingCacaoBlock(String key, String namespaceId, int id)
+    public BlockSaplingCacao(String key, String namespaceId, int id)
     {
         super(key, namespaceId, id);
     }
